#! /bin/sh
#----------------------------------------------------------------------------
# Copyright (c) 2004-2005 Sebastian Scholze <webmaster@schlotze.de>
#
# Creation:     2004-04-01  schlotze
# Last Update:	$Id: install.sh 18814 2009-03-27 11:11:13Z schlotze $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#------------------------------------------------------------------------------
# include eislib
. /var/install/include/eislib

#testroot=/home/scholze/root
testroot=''

#
grep '^PATH=\$PATH:\$JAVA_HOME/bin' /etc/config.d/environment >/dev/null 2>&1
res=$?

case $res in
	0) 	grep -v "^PATH=\$PATH:\$JAVA_HOME/bin" /etc/config.d/environment >/tmp/environment-tmp
		cp /tmp/environment-tmp /etc/config.d/environment
		rm -f /tmp/environment-tmp
	;;
esac

#
grep 'JAVA_HOME' /etc/config.d/environment >/dev/null 2>&1
res=$?

case $res in
	0) 	grep -v "^JAVA_HOME" /etc/config.d/environment >/tmp/environment-tmp
		cp /tmp/environment-tmp /etc/config.d/environment
		rm -f /tmp/environment-tmp

		echo "JAVA_HOME='/usr/local/jdk1.6.0' # location of java" >> /etc/config.d/environment
		/var/install/config.d/environment.sh
	;;
	1) 	echo "JAVA_HOME='/usr/local/jdk1.6.0' # location of java" >> /etc/config.d/environment
		/var/install/config.d/environment.sh
	;;
	*) 	mecho -error "an error occurred"
	;;
esac

#
grep 'JAVA_HOME' /etc/check.d/environment >/dev/null 2>&1
res=$?

case $res in
	0) 	echo "JAVA_HOME   -    -   ABS_PATH" >> /etc/check.d/environment
	;;
	1) 	echo "JAVA_HOME   -    -   ABS_PATH" >> /etc/check.d/environment
	;;
	*) 	mecho -error "an error occurred"
	;;
esac

/var/install/config.d/environment.sh

# create symbolic links
cd /usr/local/bin
ln -sf /usr/local/jdk1.6.0/bin/java java
ln -sf /usr/local/jdk1.6.0/bin/javac javac
ldconfig 2>/dev/null	

mecho -info "To take changes effect please login again."
exit 0
